diff --git a/Config.in b/Config.in
index f93b48d..cdb65d0 100644
--- a/Config.in
+++ b/Config.in
@@ -868,7 +868,7 @@ depends on !BOOK_BLFS
         default PKG_PACK
 
         config PKG_PACK
-            bool "Build and pack (pacman or dpkg style)"
+            bool "Build and install (create package archives)"
 
         config LIB_LOAD
             bool "Preload a library before installing (porg style)"
@@ -878,6 +878,23 @@ depends on !BOOK_BLFS
         bool
         default y if LIB_LOAD
         default n if PKG_PACK
+
+        config     PKG_TYPE
+        string     "Packaging type"
+        default    "pacman"
+        depends on PKG_PACK
+        help
+            #--Packaging type must have a corresponding
+            #  packInstall.sh.<type> and
+            #  packageManagement.xml.<type> file in
+            #  the pkgmngt directory, and can optionally
+            #  use a packFixScritps.sh.<type> file to be
+            #  run immediately before the makefile
+            #  Valid default types are:
+            #    * dpkg    -  Debian packages
+            #    * pacman  -  pacman packges
+            #    * rpm     -  RPM packages
+
     #--- End package management
 
     #--- Installed files logs
@@ -891,11 +908,15 @@ depends on !BOOK_BLFS
     #--- End Installed files logs
 
     config    STRIP
+        depends on !PKG_TYPE="pacman"
+        depends on !PKG_TYPE="rpm"
         bool "Strip Installed Binaries/Libraries"
         default n
         depends on !BOOK_CLFS3
 
     config    DEL_LA_FILES
+        depends on !PKG_TYPE="pacman"
+        depends on !PKG_TYPE="rpm"
         bool "Remove libtool .la files"
         default y
         help
diff --git a/LFS/lfs.xsl b/LFS/lfs.xsl
index aa4c847..ec42315 100644
--- a/LFS/lfs.xsl
+++ b/LFS/lfs.xsl
@@ -224,14 +224,52 @@ otherwise it is in /bin.-->
   </xsl:template>
 
   <xsl:template match="sect2">
-    <xsl:apply-templates
-      select=".//screen[not(@role) or @role != 'nodump']/userinput[
-                             @remap = 'pre' or
-                             @remap = 'configure' or
-                             @remap = 'make' or
+    <!-- Divide up the remap attributes - this will be identical for every
+         package in LFS except the expect package, where it makes no diff -->
+    <xsl:if test=".//screen[not(@role) or @role != 'nodump']/userinput[
+                                           @remap = 'pre']">
+      <xsl:if test="$pkgtype = 'pacman' or $pkgtype = 'rpm'">
+        <xsl:text># remap=pre&#xA;</xsl:text>
+      </xsl:if> <!-- pacman or rpm -->
+      <xsl:apply-templates
+            select=".//screen[not(@role) or @role != 'nodump']/userinput[
+                             @remap = 'pre' and
+                             not(current()/../@id='ch-tools-dejagnu') and
+                             not(current()/../@id='ch-system-systemd')]"/>
+    </xsl:if>
+    <xsl:if test=".//screen[not(@role) or @role != 'nodump']/userinput[
+                                           @remap = 'configure']">
+      <xsl:if test="$pkgtype = 'pacman' or $pkgtype = 'rpm'">
+        <xsl:text># remap=configure&#xA;</xsl:text>
+      </xsl:if> <!-- pacman or rpm -->
+      <xsl:apply-templates
+           select=".//screen[not(@role) or @role != 'nodump']/userinput[
+                             @remap = 'configure' and
+                             not(current()/../@id='ch-tools-dejagnu') and
+                             not(current()/../@id='ch-system-systemd')]"/>
+    </xsl:if>
+    <xsl:if test=".//screen[not(@role) or @role != 'nodump']/userinput[
+                                           @remap = 'make']">
+      <xsl:if test="$pkgtype = 'pacman' or $pkgtype = 'rpm'">
+        <xsl:text># remap=make&#xA;</xsl:text>
+      </xsl:if> <!-- pacman or rpm -->
+      <xsl:apply-templates
+            select=".//screen[not(@role) or @role != 'nodump']/userinput[
+                             @remap = 'make' and
+                             not(current()/../@id='ch-tools-dejagnu') and
+                             not(current()/../@id='ch-system-systemd')]"/>
+    </xsl:if>
+    <xsl:if test=".//screen[not(@role) or @role != 'nodump']/userinput[
+                                           @remap = 'test']">
+      <xsl:if test="$pkgtype = 'pacman' or $pkgtype = 'rpm'">
+        <xsl:text># remap=test&#xA;</xsl:text>
+      </xsl:if> <!-- pacman or rpm -->
+      <xsl:apply-templates
+            select=".//screen[not(@role) or @role != 'nodump']/userinput[
                              @remap = 'test' and
                              not(current()/../@id='ch-tools-dejagnu') and
                              not(current()/../@id='ch-system-systemd')]"/>
+    </xsl:if>
     <xsl:if
          test="ancestor::chapter[@id = 'chapter-building-system' or
                                  @id = 'chapter-config'          or
@@ -241,6 +279,9 @@ otherwise it is in /bin.-->
                descendant::screen[not(@role) or
                                   @role != 'nodump']/userinput[
                                                     @remap='install']">
+      <xsl:if test="$pkgtype = 'pacman' or $pkgtype = 'rpm'">
+        <xsl:text># remap=install&#xA;</xsl:text>
+      </xsl:if> <!-- pacman or rpm -->
       <xsl:choose>
         <xsl:when test="$wrap-install='y'">
           <xsl:text>wrapInstall '
@@ -249,10 +290,17 @@ otherwise it is in /bin.-->
         <xsl:otherwise>
 <!-- We cannot know which directory(ies) are needed by the package. Create a
      reasonable bunch of them. Should be close to "Creating Directories".-->
-          <xsl:text>mkdir -pv $PKG_DEST/{bin,boot,etc,lib,sbin}
+          <xsl:text>mkdir -pv $PKG_DEST/{boot,etc}
 mkdir -pv $PKG_DEST/usr/{bin,include,lib/pkgconfig,sbin}
 mkdir -pv $PKG_DEST/usr/share/{doc,info,bash-completion/completions}
 mkdir -pv $PKG_DEST/usr/share/man/man{1..8}
+if [ -d /bin ]; then
+  for dir in bin lib sbin; do
+    ln -s usr/$dir $PKG_DEST/$dir
+  done
+else
+  mkdir -pv $PKG_DEST/{bin,lib,sbin}
+fi
 case $(uname -m) in
  x86_64) mkdir -v $PKG_DEST/lib64 ;;
 esac
@@ -308,17 +356,24 @@ rm -fv $PKG_DEST/sbin/nologin
            $PKG_DEST/usr/share/{doc,info,man,} \
            $PKG_DEST/usr/lib/pkgconfig \
            $PKG_DEST/usr/{lib,bin,sbin,include} \
-           $PKG_DEST/{boot,etc,lib,bin,sbin}; do
-  [ -d "$dir" ] &amp;&amp; [ -z "$(ls $dir)" ] &amp;&amp; rmdir -v $dir
+           $PKG_DEST/{boot,etc}; do
+  [ -d "$dir" ] &amp;&amp; [ -z "$(ls $dir)" ] &amp;&amp; rmdir -v $dir || true
 done
+if [ -L /bin ]; then
+  rm -fv $PKG_DEST/{bin,lib,sbin}
+else
+  for dir in $PKG_DEST/{bin,lib,sbin}; do
+    [ -z "$(ls $dir)" ] &amp;&amp; rmdir -v $dir || true
+  done
+fi
 [ -d $PKG_DEST/lib64 ] &amp;&amp; [ -z "$(ls $PKG_DEST/lib64)" ] &amp;&amp;
-  rmdir -v $PKG_DEST/lib64
+  rmdir -v $PKG_DEST/lib64 || true
 <!-- prevent overwriting symlinks: if a package install something in
      these directories, it'll be lost if not using package management,
      since they are symlinks to tmpfs. So, remove it too if using PM. -->
 rm -rf $PKG_DEST/var/{run,lock}
 <!-- Remove /var if it is empty, then -->
-[ -d $PKG_DEST/var ] &amp;&amp; [ -z "$(ls $PKG_DEST/var)" ] &amp;&amp; rmdir -v $PKG_DEST/var
+[ -d $PKG_DEST/var ] &amp;&amp; [ -z "$(ls $PKG_DEST/var)" ] &amp;&amp; rmdir -v $PKG_DEST/var || true
 PREV_SEC=${SECONDS}
 packInstall
 SECONDS=${PREV_SEC}
@@ -336,12 +391,24 @@ rm -rf $PKG_DEST
     <xsl:if test="../@id='ch-system-glibc' and @role='installation'">
       <xsl:choose>
         <xsl:when test="$full-locale='y'">
+          <xsl:if test="$pkgtype = 'pacman' or
+                        $pkgtype = 'rpm'">
+            <xsl:text>####POSTINST####&#xA;</xsl:text>
+          </xsl:if> <!-- pacman or rpm -->
           <xsl:for-each select="//userinput[@remap='locale-full']">
             <xsl:copy-of select="."/>
             <xsl:text>&#xA;</xsl:text>
           </xsl:for-each>
+          <xsl:if test="$pkgtype = 'pacman' or
+                        $pkgtype = 'rpm'">
+            <xsl:text>####ENDPOSTINST####&#xA;</xsl:text>
+          </xsl:if> <!-- pacman or rpm -->
         </xsl:when>
         <xsl:otherwise>
+          <xsl:if test="$pkgtype = 'pacman' or
+                        $pkgtype = 'rpm'">
+            <xsl:text>####POSTINST####&#xA;</xsl:text>
+          </xsl:if> <!-- pacman or rpm -->
           <xsl:copy-of select="//userinput[@remap='locale-test']"/>
           <xsl:text>&#xA;</xsl:text>
           <xsl:if test="not(contains(string(//userinput[@remap='locale-test']),$lang)) and $lang!='C' and $lang!='POSIX'">
@@ -355,6 +422,10 @@ rm -rf $PKG_DEST
 fi
 </xsl:text>
           </xsl:if>
+          <xsl:if test="$pkgtype = 'pacman' or
+                        $pkgtype = 'rpm'">
+            <xsl:text>####ENDPOSTINST####&#xA;</xsl:text>
+          </xsl:if> <!-- pacman or rpm -->
         </xsl:otherwise>
       </xsl:choose>
     </xsl:if>
diff --git a/README.PACKAGE_MANAGEMENT b/README.PACKAGE_MANAGEMENT
index bad7409..bc64b83 100644
--- a/README.PACKAGE_MANAGEMENT
+++ b/README.PACKAGE_MANAGEMENT
@@ -11,9 +11,8 @@ $Id$
   I hope it is flexible enough to support several package managers, at least
   among those who use DESTDIR install and/or LD_PRELOAD during install.
   It has been tested with dpkg from Debian, pacman from Arch Linux,
-  and porg. Sample configuration files are given for those three packages.
-  I am sorry to say I have (almost) no experience with rpm, so I cannot
-  tell whether it would fit.
+  porg, and rpm from RedHat. Sample configuration files are given for those
+  four package managers.
 
 2. OVERVIEW OF THE SYSTEM:
 
@@ -23,14 +22,17 @@ $Id$
   to adapt this tool for the other flavours of LFS (TODO).
 
       This tool comes in two flavours:
-  - for distros package managers (e.g dpkg or pacman), it basically performs
-    a "DESTDIR install" for all pages in chapter 6, 7 and 8 of the book. The
-    name of the DESTDIR directory is the same as the one of the executed
-    script. The path to this directory is available to the scriplets through
-    the PKG_DEST variable. The details of the DESTDIR part are given below.
-    After the package is installed in $PKG_DEST, a function "packInstall" is
-    called, which is supposed to create a binary package (e.g. make a .deb
-    file), store it to a repository and install it to the system.
+  - for distro package managers (e.g dpkg, pacman, or rpm), it basically
+    performs a "DESTDIR install" for all pages in chapters 8, 9 and 10 of the
+    book. Pacman and RPM have scripts that further adjust the jhalfs scripts
+    for use as PKGBUILD or spec files, while dpkg simply does a binary install
+    where the  name of the DESTDIR directory is the same as the one of the
+    executed script. The path to this directory is available to the scriplets
+    through the PKG_DEST variable. The details of the DESTDIR part are given
+    below.  After the package is installed into the DESTDIR, a function
+    "packInstall" is called, which is supposed to create a binary package
+    (e.g. make a .deb file), store it to a repository and install it to the
+    system.
   - for porg style package manager, the install instructions are wrapped
     between pairs of single quotes ('). This allows passing those instructions
     to a function ("wrapInstall"), which may itself call porg or another
@@ -56,34 +58,37 @@ $Id$
   files to non existent directories. There is no simple way to automatically
   create those directories, because you have sometimes to use the full path
   (instructions of the form `cp file dir') and sometimes only the dirname
-  (instructions of the form `cp file1 file2'). So the XSL stylesheet
-  creates a reasonable subset of the FHS hierarchy into the destination
-  directory. Empty directories are then removed before packing the
-  binary package.
+  (instructions of the form `cp file1 file2'). Pacman and RPM installs modify
+  the $PKG_DEST value to ${pkgdir} or %{buildroot} as appropriate.
+  The XSL stylesheet creates a reasonable subset of the FHS hierarchy into the
+  destination directory, and empty directories are removed before packaging.
 
       In order to use the package manager, it has to be installed at the end of
-  chapter 5 (temporary installation in /tools) and chapter 6 (final install).
-  Furthermore, the administrative files and directories have to be created
-  during the `Creating Directories' and `Creating Essential Files' stages.
-  For all this, the user has to supply a file in docbook XML format, with
-  the necessary instructions and enough information to download the tarball.
-  This file should reside in the `pkgmngt' directory and be named
-  `packageManager.xml'. A template named `packageManager.xml.template' is
-  provided in the `pkgmngt' subdirectory. There are also three XML files for
-  dpkg, pacman, and porg, respectively `packageManager.xml.dpkg',
-  `packageManager.xml.pacman',  and `packageManager.xml.porg', that you can
-  copy to `packageManager.xml' and modify to suit your needs.
-  They are not updated often, so the versions used can be rather old.
+  chapter 7 (temporary tools) and chapter 8 (final install). Furthermore, the
+  administrative files and directories have to be created during the 
+ `Creating Directories' and `Creating Essential Files' stages. For all this,
+  the user has to supply a file in docbook XML format, with the necessary
+  instructions and enough information to download the tarball. This file should
+  reside in the `pkgmngt' directory and be named `packageManager.xml.$pkgtype'.
+  A template named `packageManager.xml.template' is provided in the `pkgmngt'
+  subdirectory if you'd like to add an additional package type. There are also
+  four XML files for dpkg, pacman, porg, and rpm. They are not updated often,
+  so the versions used can be rather old. Additionally, the files
+  `packFixScripts.sh.$pkgtype' and `licenses.list.$pkgtype' will be copied to
+  the jhalfs directory if they exist, and packFixScripts.sh will be executed
+  as the last commmand after jhalfs is run, which is responsible for adapting
+  the jhlafs scripts for use by the package manager.
 
       The last thing to do is to tell how to use the package manager. The user
-  has to provide two functions, "wrapInstall" and "packInstall", as described
-  above. Please note that nothing has been done to manage configuration files,
-  which are ususally treated specially by package managers: depending on
-  the book layout, it is sometimes possible to create those files afterwards,
-  and sometimes not, which means that you have to check them after each
-  upgrade. Both functions should be defined in a file named `packInstall.sh',
-  residing in the `pkgmngt' directory. A template is provided (actually a copy
-  of the file for dpkg), as well as three example scripts for dpkg, pacman,
-  and porg. Pacman Note: due to the way pacman checks the available space on
-  disk, the root directory in chroot must be a mount point, otherwise the
-  installation of packages fails.
+  has to provide two functions, "wrapInstall" (if applicable) and
+  "packInstall", as described above. Both functions should be defined in a file
+  named `packInstall.sh.$pkgtype' and placed into the `pkgmngt' directory. A
+  template is provided (actually a copy of the file for dpkg), as well as four
+  example scripts for dpkg, pacman, porg, and rpm. Please note that nothing has
+  been done to manage configuration files or dependencies for the porg or dpkg
+  exmaple configurations, however, two xsl files, `configfiles.xsl' and
+  `dependencies.xsl', have been provided to extract the necessary information
+  from the LFS book. The `packFixScripts.sh` script for both pacman and rpm
+  configurations provide examples for their use. Pacman Note: due to the way
+  pacman checks the available space on disk, the root directory in chroot must
+  be a mount point, otherwise the installation of packages fails.
diff --git a/common/libs/func_book_parser b/common/libs/func_book_parser
index 8dbbd8d..e139420 100644
--- a/common/libs/func_book_parser
+++ b/common/libs/func_book_parser
@@ -172,6 +172,7 @@ extract_commands() {         #
                  --stringparam lang           "$LANG"         \
                  --stringparam pkgmngt        "$PKGMNGT"      \
                  --stringparam wrap-install   "$WRAP_INSTALL" \
+                 --stringparam pkgtype        "$PKG_TYPE"     \
                  --stringparam hostname       "$HOSTNAME"     \
                  --stringparam interface      "$INTERFACE"    \
                  --stringparam ip             "$IP_ADDR"      \
diff --git a/common/libs/func_validate_configs.sh b/common/libs/func_validate_configs.sh
index 7560bc0..27e8587 100644
--- a/common/libs/func_validate_configs.sh
+++ b/common/libs/func_validate_configs.sh
@@ -206,23 +206,23 @@ inline_doc
         # must exist in $PKGMNGTDIR if PKGMNGT='y':
       PKGMNGT) echo -e "`eval echo $PARAM_VALS`"
                if [ "$PKGMNGT" = y ]; then
-                 if [ ! -e "$PKGMNGTDIR/packageManager.xml" ]; then
-                   write_pkg_and_die $PKGMNGTDIR/packageManager.xml does not exist
+                 if [ ! -e "$PKGMNGTDIR/packageManager.xml.$PKG_TYPE" ]; then
+                   write_pkg_and_die $PKGMNGTDIR/packageManager.xml.$PKG_TYPE does not exist
                  fi
-                 if [ ! -e "$PKGMNGTDIR/packInstall.sh" ]; then
-                   write_pkg_and_die $PKGMNGTDIR/packInstall.sh does not exist
+                 if [ ! -e "$PKGMNGTDIR/packInstall.sh.$PKG_TYPE" ]; then
+                   write_pkg_and_die $PKGMNGTDIR/packInstall.sh.${PKG_TYPE} does not exist
                  fi
-                 if [ ! -s "$PKGMNGTDIR/packageManager.xml" ]; then
-                   write_pkg_and_die $PKGMNGTDIR/packageManager.xml has zero size
+                 if [ ! -s "$PKGMNGTDIR/packageManager.xml.$PKG_TYPE" ]; then
+                   write_pkg_and_die $PKGMNGTDIR/packageManager.xml.$PKG_TYPE has zero size
                  fi
-                 if [ ! -s "$PKGMNGTDIR/packInstall.sh" ]; then
-                   write_pkg_and_die $PKGMNGTDIR/packInstall.sh has zero size
+                 if [ ! -s "$PKGMNGTDIR/packInstall.sh.$PKG_TYPE" ]; then
+                   write_pkg_and_die $PKGMNGTDIR/packInstall.sh.$PKG_TYPE has zero size
                  fi
-                 if [ ! -r "$PKGMNGTDIR/packageManager.xml" ]; then
-                   write_pkg_and_die $PKGMNGTDIR/packageManager.xml is not readable
+                 if [ ! -r "$PKGMNGTDIR/packageManager.xml.$PKG_TYPE" ]; then
+                   write_pkg_and_die $PKGMNGTDIR/packageManager.xml.$PKG_TYPE is not readable
                  fi
-                 if [ ! -r "$PKGMNGTDIR/packInstall.sh" ]; then
-                   write_pkg_and_die $PKGMNGTDIR/packInstall.sh is not readable
+                 if [ ! -r "$PKGMNGTDIR/packInstall.sh.$PKG_TYPE" ]; then
+                   write_pkg_and_die $PKGMNGTDIR/packInstall.sh.$PKG_TYPE is not readable
                  fi
                fi
                ;;
diff --git a/common/urls.xsl b/common/urls.xsl
index c2a5e66..8d740d3 100644
--- a/common/urls.xsl
+++ b/common/urls.xsl
@@ -44,7 +44,8 @@
                   or not(ancestor::varlistentry[@vendor])) and
                   (contains(@url, '.bz2') or contains(@url, '.tar.gz') or
                   contains(@url, '.tgz') or contains(@url, '.patch') or
-                  contains(@url, '.xz') or contains(@url, '.lzma')) and
+                  contains(@url, '.xz') or contains(@url, '.lzma') or
+                  contains(@url, '.zip')) and
                   not(ancestor-or-self::*/@condition = 'pdf')">
       <!-- Extract the package name -->
       <xsl:variable name="package">
diff --git a/jhalfs b/jhalfs
index 75e83f1..1b27aa3 100755
--- a/jhalfs
+++ b/jhalfs
@@ -388,7 +388,7 @@ if [[ "$REBUILD_MAKEFILE" = "n" ]] ; then
   cp "$COMMON_DIR"/{makefile-functions,progress_bar.sh} "$JHALFSDIR/"
 
 # Copy needed stylesheets
-  cp "$COMMON_DIR"/{packages.xsl,chroot.xsl,kernfs.xsl} "$JHALFSDIR/"
+  cp "$COMMON_DIR"/{packages,chroot,kernfs}.xsl "$JHALFSDIR/"
 
 # Fix the XSL book parser
   case $PROGNAME in
@@ -400,14 +400,26 @@ if [[ "$REBUILD_MAKEFILE" = "n" ]] ; then
 
 # Copy packageManager.xml, if needed
   [[ "$PKGMNGT" = "y" ]] && [[ "$PROGNAME" = "lfs" ]] && {
-    sed s@BOOK@"$BOOK"@ "$PKGMNGTDIR/packageManager.xml" > \
+    sed s@BOOK@"$BOOK"@ "$PKGMNGTDIR/packageManager.xml.${PKG_TYPE}" > \
                         "$JHALFSDIR/"packageManager.xml
-    cp "$PKGMNGTDIR/packInstall.sh" "$JHALFSDIR/"
+    cp "$PKGMNGTDIR/packInstall.sh.${PKG_TYPE}" "$JHALFSDIR/packInstall.sh"
+    [[ -f "$PKGMNGTDIR/packFixScripts.sh.${PKG_TYPE}" ]] && {
+      cp "$PKGMNGTDIR/packFixScripts.sh.${PKG_TYPE}" \
+         "$JHALFSDIR/packFixScripts.sh"
+      }
+    [[ -f "$PKGMNGTDIR/licenses.list.${PKG_TYPE}" ]] && {
+      cp "$PKGMNGTDIR/licenses.list.${PKG_TYPE}" \
+         "$JHALFSDIR/licenses.list"
+      }
     }
 
 # Copy urls.xsl, if needed
   [[ "$GETPKG" = "y" ]] && cp "$COMMON_DIR/urls.xsl" "$JHALFSDIR/"
 
+# Copy dependencies.xsl and configfiles.xsl if needed
+  [[ "$PKG_TYPE" = "pacman" || "$PKG_TYPE" = "rpm" ]] && \
+    cp "$PKGMNGTDIR"/{dependencies,configfiles}.xsl "$JHALFSDIR/"
+
 # Always create the test-log directory to allow user to "uncomment" test
 # instructions
   install -d -m 1777 "$TESTLOGDIR"
@@ -503,5 +515,10 @@ echo "${SD_BORDER}${nl_}"
   cd "$CWD"
   check_prerequisites
   echo "${SD_BORDER}${nl_}"
+
+# if needed, run fix scripts
+  [[ -f ${JHALFSDIR}/packFixScripts.sh ]] &&
+    JHALFSDIR=${JHALFSDIR} bash ${JHALFSDIR}/packFixScripts.sh ${CONFIG}
+
 # All is well, run the build (if requested)
 run_make
diff --git a/pkgmngt/configfiles.xsl b/pkgmngt/configfiles.xsl
new file mode 100644
index 0000000..04c787a
--- /dev/null
+++ b/pkgmngt/configfiles.xsl
@@ -0,0 +1,45 @@
+<xsl:stylesheet
+      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+      xmlns:exsl="http://exslt.org/common"
+      extension-element-prefixes="exsl"
+      version="1.0">
+
+<!-- Start of templates -->
+  <!-- This whole thing is ugly hackery becasue we aren't consistent, but
+       we only need the packages, so it works with a bit of post processing -->
+  <xsl:template match="/">
+    <xsl:apply-templates select="//chapter[
+                                @id='chapter-building-system' or
+                                @id='chapter-config' or
+                                @id='chapter-bootable']"/>
+  </xsl:template>
+
+  <xsl:template match="chapter">
+    <xsl:apply-templates select="./sect1/sect2[@role='configuration']"/>
+    <xsl:apply-templates select="./sect1/sect2/sect3[@role='configuration']"/>
+  </xsl:template>
+
+  <xsl:template match="sect2">
+    <xsl:variable name="id" select="substring-after(@id,'conf-')"/>
+    <xsl:value-of select="$id"/>
+    <xsl:text>="</xsl:text>
+    <xsl:for-each select=".//indexterm">
+      <xsl:apply-templates select="primary[starts-with(@sortas,'e-')]"/>
+      <xsl:text>, </xsl:text>
+    </xsl:for-each>
+    <xsl:text>&#xA;</xsl:text> -->
+    <xsl:text>"&#xA;</xsl:text>
+  </xsl:template>
+
+  <xsl:template match="sect3">
+    <xsl:variable name="id" select="substring-after(@id,'conf-')"/>
+    <xsl:value-of select="$id"/>
+    <xsl:text>="</xsl:text>
+    <xsl:for-each select=".//indexterm">
+      <xsl:apply-templates select=".//primary[starts-with(@sortas,'e-')]"/>
+      <xsl:text>, </xsl:text>
+    </xsl:for-each>
+    <xsl:text>"&#xA;</xsl:text>
+  </xsl:template>
+
+</xsl:stylesheet>
diff --git a/pkgmngt/dependencies.xsl b/pkgmngt/dependencies.xsl
new file mode 100644
index 0000000..62bada6
--- /dev/null
+++ b/pkgmngt/dependencies.xsl
@@ -0,0 +1,45 @@
+<xsl:stylesheet
+      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+      xmlns:exsl="http://exslt.org/common"
+      extension-element-prefixes="exsl"
+      version="1.0">
+
+<!-- Start of templates -->
+  <xsl:template match="/">
+    <xsl:text># LFS Dependency List&#xA;&#xA;</xsl:text>
+    <xsl:apply-templates select="//appendix[@id='appendixc']"/>
+  </xsl:template>
+
+  <xsl:template match="appendix">
+    <xsl:apply-templates select="./segmentedlist"/>
+  </xsl:template>
+
+  <xsl:template match="segmentedlist">
+    <xsl:variable name="id" select="@id"/>
+    <xsl:if test="contains($id,'-depends')">
+      <xsl:value-of select="$id"/><xsl:text>="</xsl:text>
+      <xsl:apply-templates select=".//seglistitem/seg"/>
+      <xsl:text>"&#xA;</xsl:text>
+    </xsl:if>
+    <xsl:if test="contains($id,'-rundeps')">
+      <xsl:value-of select="$id"/><xsl:text>="</xsl:text>
+      <xsl:apply-templates select=".//seglistitem/seg"/>
+      <xsl:text>"&#xA;</xsl:text>
+    </xsl:if>
+    <xsl:if test="contains($id,'-testdeps')">
+      <xsl:value-of select="$id"/><xsl:text>="</xsl:text>
+      <xsl:apply-templates select=".//seglistitem/seg"/>
+      <xsl:text>"&#xA;</xsl:text>
+    </xsl:if>
+    <xsl:if test="contains($id,'-optdeps')">
+      <xsl:value-of select="$id"/><xsl:text>="</xsl:text>
+      <xsl:apply-templates select=".//seglistitem/seg"/>
+      <xsl:text>"&#xA;&#xA;</xsl:text>
+    </xsl:if>
+  </xsl:template>
+
+  <xsl:template match="text()">
+    <xsl:value-of select="normalize-space(.)"/>
+  </xsl:template>
+
+</xsl:stylesheet>
diff --git a/pkgmngt/licenses.list.pacman b/pkgmngt/licenses.list.pacman
new file mode 100644
index 0000000..2eabf1b
--- /dev/null
+++ b/pkgmngt/licenses.list.pacman
@@ -0,0 +1,105 @@
+acl="GPLv2 LGPLv2.1"
+attr="GPLv2 LGPLv2.1"
+autoconf="custom GPLv2"
+automake="GPLv2"
+bash="GPLv3"
+bc="custom MIT"
+binutils="GPLv2 GPLv3 LGPLv2 LGPLv3"
+bison="GPLv3"
+bzip2="BSD3C custom"
+check="LGPLv2.1"
+coreutils="GPLv3 LGPLv2.1 LGPLv3"
+curl="BSD3C custom MIT"
+dbus="AFL2.1 GPLv2 GPLv3"
+dejagnu="GPLv3"
+diffutils="GPLv3"
+e2fsprogs="custom GPLv2 MIT"
+elfutils="GPLv2 GPLv3 LGPLv3"
+eudev="custom GPLv2 MIT"
+expat="custom MIT"
+expect="PD"
+fakeroot="GPLv3"
+file="BSD3C custom"
+findutils="GPLv3"
+flex="BSD3C custom"
+gawk="GPLv3"
+gcc="custom GPLv2 GPLv3 LGPLv2.1 LGPLv3"
+gdbm="GPLv3"
+gettext="GPLv3"
+glibc="GPLv2 LGPLv2.1 PD"
+gmp="GPLv2 GPLv3 LGPLv3"
+gnupg="CC0 custom GPLv2 GPLv3 LGPLv2.1 LGPLv3 MIT"
+gperf="GPLv3"
+gpgme="GLLv2 LGPLv2.1"
+grep="GPLv3"
+groff="GPLv3"
+grub="GPLv3"
+gzip="GPLv3"
+iana-etc="PD"
+inetutils="GPLv3"
+intltool="GPLv2"
+iproute2="GPLv2"
+Jinja2="BSD3C custom"
+kbd="GPLv2"
+kmod="LGPLv2.1"
+less="GPLv3"
+lfs-bootscripts="custom MIT"
+libarchive="Apachev2 CC0v1U custom MIT OpenSSL PD UC-Regents3C"
+libassuan="GPLv3 LGPLv2.1"
+libcap="BSD3C GPLv2"
+libffi="custom GPLv2 MIT"
+libgcrypt="GPLv2 LGPLv2.1"
+libgpg-error="GPLv2 LGPLv2.1"
+libksba="GPLv2 GPLv3 LGPLv3"
+libpipeline="GPLv3"
+libtasn1="GPLv3 LGPLv2.1"
+libtool="GPLv2"
+libxml2="custom MIT"
+linux="custom GPLv2"
+linux-api-headers="GPLv2"
+m4="GPLv3"
+make="GPLv3"
+make-ca="custom GPLv3 MIT"
+man-db="GPLv2 LGPLv2.1"
+man-pages="custom"
+MarkupSafe="BSD3C custom"
+meson="Apachev2"
+mpc="LGPLv3"
+mpfr="GPLv3 LGPLv3"
+ncurses="custom MIT"
+nettle="GPLv2 GPLv3 LGPLv3"
+ninja="Apachev2"
+npth="LGPLv2.1"
+openssl="OpenSSL SSLeay"
+p11-kit="custom MIT"
+pacman="GPLv2"
+pacman-contrib="GPLv2"
+patch="GPLv3"
+perl="GPLv1"
+pip="custom MIT"
+pkg-config="GPLv2"
+procps-ng="GPLv2 LGPLv2"
+psmisc="GPLv2"
+pth="LGPLv2.1"
+Python="PSFLv2"
+readline="GPLv3"
+rootfs="CC-BY-SA-2.0"
+sed="GPLv3"
+setuptools="custom MIT"
+shadow="BSD3C custom"
+sqlite="custom PD GPLv3"
+sysklogd="GPLv2"
+systemd="GPLv2 GPLv3 LGPLv2.1 LGPLv3"
+sysvinit="GPLv2"
+tar="GPLv3"
+tcl="UC-Regents3C"
+texinfo="GPLv3"
+tzdata="PD"
+udev="GPLv2 GPLv3 LGPLv2.1 LGPLv3"
+util-linux="GPLv2"
+unzip="BSD3C"
+vim="VIM"
+XML-Parser="custom"
+xz="custom GPLv2 GPLv3 LGPLv2.1 PD"
+zlib="custom MIT"
+zstd="GPLv2"
diff --git a/pkgmngt/licenses.list.rpm b/pkgmngt/licenses.list.rpm
new file mode 100644
index 0000000..9b66573
--- /dev/null
+++ b/pkgmngt/licenses.list.rpm
@@ -0,0 +1,105 @@
+# Licenses follow Fedora Packaging Guidelines at
+# https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses
+acl="GPLv2+ and LGPLv2.1+"
+attr="GPLv2+ and LGPLv2.1+"
+autoconf="GPLv2+ with configure exception"
+automake="GPLv2+"
+bash="GPLv3+"
+bc="MIT"
+binutils="GPLv2+ and LGPLv2+"
+bison="GPLv3+"
+bzip2="BSD"
+check="LGPLv2.1+"
+coreutils="GPLv3+ and LGPLv2.1+"
+cpio="GPLv3+"
+dbus="AFPL2.1 or GPLv2+"
+dejagnu="GPLv3+"
+diffutils="GPLv3+"
+e2fsprogs="GPLv2+ and MIT"
+elfutils="GPLv2+ LGPLv3+"
+eudev="GPLv2+ and MIT"
+expat="MIT"
+expect="Public Domain"
+fakeroot="GPLv3+"
+file="BSD"
+findutils="GPLv3+"
+flex="BSD"
+gawk="GPLv3+"
+gcc="BSD and GPLv2+ with exceptions and GPLv3+ and GPLv3+ with exceptions and LGPLv2+"
+gdbm="GPLv3+"
+gettext="GPLv3+"
+glibc="GPLv2+ and LGPLv2.1+ and Public Domain"
+gmp="GPLv2+ and LGPLv3+"
+gperf="GPLv3+"
+gpgme="GLLv2+ LGPLv2.1+"
+grep="GPLv3+"
+groff="GPLv3+"
+grub="GPLv3+"
+gzip="GPLv3+"
+iana-etc="Public Domain"
+inetutils="GPLv3+"
+intltool="GPLv2+"
+iproute2="GPLv2+"
+Jinja2="BSD"
+kbd="GPLv2+"
+kmod="LGPLv2.1+"
+less="GPLv3+"
+lfs-bootscripts="MIT"
+libarchive="ASL 2.0 and BSD"
+libassuan="GPLv3+ and LGPLv2.1+"
+libcap="BSD and GPLv2+"
+libffi="GPLv2+ and MIT"
+libgcrypt="GPLv2+ and LGPLv2.1+"
+libgpg-error="GPLv2+ and LGPLv2.1+"
+libpipeline="GPLv3+"
+libtool="GPLv2+"
+libxml2="MIT"
+linux="GPLv2+"
+linux-api-headers="GPLv2+"
+lua="MIT"
+m4="GPLv3+"
+make="GPLv3+"
+man-db="GPLv2+ and LGPLv2.1+"
+man-pages="BSD and Copyright only and GPL+ and GPLv2+ and MIT and IEEE"
+MarkupSafe="BSD"
+meson="ASL 2.0"
+mpc="LGPLv3+"
+mpfr="GPLv3+ and LGPLv3+"
+ncurses="MIT"
+nettle="GPLv2+ and LGPLv3+"
+ninja="ASL 2.0"
+npth="LGPLv2.1+"
+openssl="OpenSSL"
+popt="MIT"
+pacman="GPLv2+"
+pacman-contrib="GPLv2+"
+patch="GPLv3+"
+perl="GPL+"
+pip="MIT"
+pkg-config="GPLv2+"
+procps-ng="GPLv2+ and LGPLv2+"
+psmisc="GPLv2+"
+pth="LGPLv2.1+"
+Python="PSFLv2+"
+readline="GPLv3+"
+rootfs="CC-BY-SA"
+rpm="GPLv2+"
+sed="GPLv3+"
+setuptools="MIT"
+shadow="BSD and GPLv2+"
+sqlite="GPLv3+ and Public Domain"
+sysklogd="GPLv2+"
+systemd="GPLv2+ and LGPLv2.1+"
+systemd-udev="GPLv2+ and LGPLv2.1+"
+sysvinit="GPLv2+"
+tar="GPLv3+"
+tcl="BSD"
+texinfo="GPLv3+"
+tzdata="Public Domain"
+util-linux="GPLv2+"
+unzip="BSD"
+vim="Vim"
+XML-Parser="Artistic or GPL+"
+xz="GPLv2+ and LGPLv2.1+ and Public Domain"
+zlib="MIT"
+zstd="GPLv2+"
